## keep-trinity 14.0.8

=== keep/kded/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/keep/common
  ${CMAKE_BINARY_DIR}/keep/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kded_keep (kpart)

tde_add_kpart( kded_keep AUTOMOC

  SOURCES
        keepkded.cpp
        keepkded.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeinit_kded-shared
     keep-static
     
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kded
)

## keep-trinity 3.5.13.2

=== debian/changelog ===
keep-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:24:14 +0200

keep-trinity (0.4.0-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

keep-trinity (0.4.0-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

keep-trinity (0.4.0-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 12 Dec 2008 14:24:00 -0600

keep (0.4.0-1ubuntu3) hardy; urgency=low

  * Rebuild with recent g++ compiler version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Apr 2008 11:24:35 +0000

keep (0.4.0-1ubuntu2) gutsy; urgency=low

  * Build-depend on automake1.9. LP: #127208.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Aug 2007 09:54:29 +0000

keep (0.4.0-1ubuntu1) gutsy; urgency=low

  * Merge from Debian (different .orig.tar.gz's); remaining changes:
    - debian/patches/kubuntu_01_kdepot.diff.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 May 2007 10:34:18 +0200

keep (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Remove gcc fix patch, merged upstream

 -- Fathi Boudra <fboudra@free.fr>  Thu,  9 Nov 2006 10:52:56 +0100

keep (0.4.0-0ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:19:28 +0000

keep (0.4.0-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Removed obsolete kubuntu_02_gcc_fix.diff

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 05 Dec 2006 16:31:45 +0100

keep (0.3.0-0ubuntu3) edgy; urgency=low

  * Rebuild for dh_iconcache

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri,  9 Sep 2006 15:43:59 +0200

keep (0.3.0-0ubuntu2) edgy; urgency=low

  * Rebuild to remove dependency on gamin
  * Add kubuntu_02_gcc_fix.diff fix compile error with GCC 4.1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jul 2006 12:42:59 +0000

keep (0.3.0-0ubuntu1) dapper; urgency=low

  * Initial release
  * Added kubuntu_01_kdepot for pot file extraction and inclusion in Rosetta
  * Sponsored upload for Anthony Mercatante <anthony.mercatante@laposte.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  9 Feb 2006 11:47:23 +0100

=== debian/control ===
Source: keep-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: keep-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rdiff-backup
Description: backup system for KDE [Trinity]
 Keep is an automatic backup program that allows users to set the parameters of
 the backup, including the frequency and the number of backups.
 .
  Homepage: http://jr.falleri.free.fr/keep

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_keep := keep.1

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

build/keep::
	/usr/bin/docbook2x-man debian/keep.xml

clean::
	rm -f keep.1

## keep-trinity 14.0.4

=== debian/changelog ===
keep-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:18:48 +0200

=== debian/control ===
Source: keep-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, docbook2x, docbook-xml, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: keep-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rdiff-backup
Replaces: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
Breaks: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
Description: backup system for TDE [Trinity]
 Keep is an automatic backup program that allows users to set the parameters of
 the backup, including the frequency and the number of backups.
 .
  Homepage: http://jr.falleri.free.fr/keep

## keep-trinity 14.0.5

=== debian/changelog ===
keep-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:30:05 +0200

## keep-trinity 14.0.6

=== debian/changelog ===
keep-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:28:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: keep-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, rdiff-backup
-Replaces: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
-Breaks: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
+Replaces: keep-trinity (<< 4:14.0.0~)
+Breaks: keep-trinity (<< 4:14.0.0~)
 Description: backup system for TDE [Trinity]
  Keep is an automatic backup program that allows users to set the parameters of
  the backup, including the frequency and the number of backups.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_keep := keep.1

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

build/keep-trinity::
	/usr/bin/docbook2x-man debian/keep.xml

install/keep-trinity::
	dh_installman keep.1
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	rm -f debian/stamp-bootstrap
	rm -f keep.1

=== debian/watch ===
version=3
http://jr.falleri.free.fr/files/devel/keep/keep-(.*)\.tar\.gz

## keep-trinity 14.0.8

=== debian/changelog ===
keep-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:15 +0200

=== debian/control ===
Source: keep-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: keep-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rdiff-backup
Replaces: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
Breaks: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
Description: backup system for TDE [Trinity]
 Keep is an automatic backup program that allows users to set the parameters of
 the backup, including the frequency and the number of backups.
 .
  Homepage: http://jr.falleri.free.fr/keep

## keep-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( keep )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
keep-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:05:45 +0200

## keep-trinity 14.0.10

=== debian/changelog ===
keep-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: keep-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
 Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev

## keep-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( keep )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 ##### directories
 
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
keep-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 21:54:00 +0200

## keep-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( keep )
-set( VERSION R14.0.11 )
+set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
keep-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:53 +0100

## keep-trinity 14.0.13

=== debian/changelog ===
keep-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Jun 2022 06:58:10 +0200

=== debian/control ===
Source: keep-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: keep-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rdiff-backup
Replaces: keep-trinity (<< 4:14.0.0~)
Breaks: keep-trinity (<< 4:14.0.0~)
Description: backup system for TDE [Trinity]
 Keep is an automatic backup program that allows users to set the parameters of
 the backup, including the frequency and the number of backups.
 .
  Homepage: http://jr.falleri.free.fr/keep

## keep-trinity 14.1.0

=== debian/changelog ===
keep-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## keep-trinity 14.1.1

=== debian/changelog ===
keep-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Jul 2023 05:40:52 +0200

=== debian/control ===
Source: keep-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: keep-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rdiff-backup
Replaces: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
Breaks: keep-kde3 (<< 4:14.0.0~), keep-trinity (<< 4:14.0.0~)
Description: backup system for TDE [Trinity]
 Keep is an automatic backup program that allows users to set the parameters of
 the backup, including the frequency and the number of backups.
 .
  Homepage: http://jr.falleri.free.fr/keep

## keep-trinity 14.1.2

=== debian/changelog ===
keep-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:52 +0200

## keep-trinity 14.1.3

=== debian/changelog ===
keep-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:31:01 +0200

## keep-trinity 14.1.4

=== debian/changelog ===
keep-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## keep-trinity 14.1.5~pre0

=== debian/changelog ===
keep-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for f6b5042dbea511f064dc1a4edb3594b83d2ecddd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## keep-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( keep )
-set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )

=== keep/common/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### keep (static)

tde_add_library( keep STATIC_PIC AUTOMOC

  SOURCES
        keepsettings.kcfgc
        backuplistviewitem.cpp
        backup.cpp
        backupconfig.cpp
        rdblistener.cpp
        rdbmanager.cpp
        incrementlistviewitem.cpp
        includeexcludeitem.cpp
)


##### other data

install(
    FILES keepsettings.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== debian/changelog ===
keep-trinity (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: keep-trinity

## keep-trinity 14.1.6~pre0

=== debian/changelog ===
keep-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f6b5042dbea511f064dc1a4edb3594b83d2ecddd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## keep-trinity 14.1.6~pre1

=== debian/changelog ===
keep-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9f36fa0c10ddc91c580f423d9a310df632295120
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:21:27 +0100

## keep-trinity 14.2.0~pre23

=== debian/changelog ===
keep-trinity (4:14.2.0~pre23-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c9c5ac2cfe168523b20f4ad8fb4089b5eb20ed34
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## keep-trinity 14.2.0~pre24

=== debian/changelog ===
keep-trinity (4:14.2.0~pre24-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 734a0e2121214b7425140f09a120a4f86c3033fb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#keep

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:14:44 +0100
